Create delivery incident
curl --request POST \
--url https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"raiseIncident": true,
"incidentNotes": "<string>",
"incidentType": "COURIER_NOTES",
"incidentFileUrl": "<string>",
"incidentFileUrls": [
"<string>"
],
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}
'import requests
url = "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident"
payload = {
"raiseIncident": True,
"incidentNotes": "<string>",
"incidentType": "COURIER_NOTES",
"incidentFileUrl": "<string>",
"incidentFileUrls": ["<string>"],
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
raiseIncident: true,
incidentNotes: '<string>',
incidentType: 'COURIER_NOTES',
incidentFileUrl: '<string>',
incidentFileUrls: ['<string>'],
requestAmountDeliveryFeeCents: 123,
requestAmountOrderValueCents: 123,
requestAmountTipCents: 123
})
};
fetch('https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"taskId": "<string>",
"raiseIncident": true,
"incidentNotes": "<string>",
"incidentType": "<string>",
"incidentSubtype": "<string>",
"incidentFileUrl": "<string>",
"incidentFileUrls": [
"<string>"
],
"refundRequestId": "<string>",
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Create Delivery Incident
Create a new delivery incident for a task
POST
/
v1
/
jobs
/
{jobId}
/
tasks
/
{taskId}
/
delivery_incident
Create delivery incident
Requirements
At least one of the following fields must be provided:requestAmountDeliveryFeeCentsrequestAmountOrderValueCentsrequestAmountTipCents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Flag delivery to be reviewed by Nash's team (not for urgent cases). Set to False to indicate issue has been resolved
Details about incident
Maximum string length:
512Courier Notes or Refund Request
Available options:
REFUND_REQUEST, COURIER_NOTES Refund Request type
Available options:
arrived_late, delivered_early, delivered_to_wrong_address, missing_or_incorrect_items, never_delivered, poor_delivery_experience, other Url to file attachment for refund request
Urls to file attachments for refund request
The request amount for the delivery fee in cents.
The request amount for the order value in cents.
The request amount for the tip in cents.
Response
OK
The ID of the refund request.
The request amount for the delivery fee in cents.
The request amount for the order value in cents.
The request amount for the tip in cents.
Was this page helpful?